ref: 6ac2a90ca5853922ffe69559ea1a08df45f5f4d4
parent: 60de88f36a2b22b01a5c638b9483ab8796c62f1d
author: Quentin Rameau <quinq@fifth.space>
date: Thu May 11 15:22:47 EDT 2017
[tests] exit the script on error or interruption
--- a/tests/execute/chktest.sh
+++ b/tests/execute/chktest.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-trap 'tabs -8;rm -f a.out' 0 1 2 3 15
+trap 'tabs -8;rm -f a.out; exit 1' 0 1 2 3 15
tabs 40
ulimit -c 0
rm -f test.log